# Identify

Used to identify player using token generated by operator before.&#x20;

In case of successful identification, PAM expects Response 200, otherwise return response with code 403 Request.

Request fields:

<table><thead><tr><th width="129">Attribute</th><th width="117">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>operator</td><td> string</td><td>Name of the operator as registered on the system</td></tr><tr><td>token</td><td> string</td><td>Player identification token</td></tr></tbody></table>

Sample `identify` request:

```json
{    
    "action": "identify",
    "data": {
        "operator": "operator-code", 
        "token": "partner-player-token"
    }
}
```

Response fields:

<table><thead><tr><th width="149">Attribute</th><th width="117">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>player_id</td><td>string</td><td>Player identification number or code</td></tr><tr><td>lang</td><td>string</td><td>Language code in two letter  <a href="https://www.iso.org/iso-639-language-code">ISO 639-1 </a>format </td></tr><tr><td>balance</td><td>integer</td><td>Available player balance. Should be in integer format (cents)</td></tr><tr><td>currency</td><td>string</td><td>Currency code in <a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4217</a> three letter format</td></tr><tr><td>feature_flags</td><td>object</td><td>Additional features</td></tr></tbody></table>

Sample `identify` response:

```json
Response: 200
{
    "player_id": "1660986605374148608", 
    "lang": "en",
    "balance": 1000,
    "currency": "KES", 
    "feature_flags": {
        "flag_name1": true, 
        "flag_name2": false
    }
}

Response: 400
{
    "code": 101,
    "message": "User not found" 
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.betstack.io/pam-platform-api/identify.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
